org.apache.tomcat.util.bcel.classfile

## Class AnnotationElementValue

- java.lang.Object
- - org.apache.tomcat.util.bcel.classfile.ElementValue
  - - org.apache.tomcat.util.bcel.classfile.AnnotationElementValue

    public class AnnotationElementValue
    extends ElementValue

### Field Summary

### Fields inherited from class org.apache.tomcat.util.bcel.classfile.ElementValue

`ANNOTATION, ARRAY, CLASS, cpool, ENUM_CONSTANT, PRIMITIVE_BOOLEAN, PRIMITIVE_BYTE, PRIMITIVE_CHAR, PRIMITIVE_DOUBLE, PRIMITIVE_FLOAT, PRIMITIVE_INT, PRIMITIVE_LONG, PRIMITIVE_SHORT, STRING, type`

### Constructor Summary

Constructors
Constructor and Description
`AnnotationElementValue(int type, AnnotationEntry annotationEntry, ConstantPool cpool)`

### Method Summary

Methods
`void` `dump(DataOutputStream dos)`
`AnnotationEntry` `getAnnotationEntry()`
`String` `stringifyValue()`
`String` `toString()`

### Methods inherited from class org.apache.tomcat.util.bcel.classfile.ElementValue

`readElementValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AnnotationElementValue

    public AnnotationElementValue(int type,
                          AnnotationEntry annotationEntry,
                          ConstantPool cpool)

### Method Detail

#### dump

    public void dump(DataOutputStream dos)
              throws IOException

Specified by:
  `dump` in class `ElementValue`
Throws:
  `IOException`

#### stringifyValue

    public String stringifyValue()

Specified by:
  `stringifyValue` in class `ElementValue`

#### toString

    public String toString()

Overrides:
  `toString` in class `ElementValue`

#### getAnnotationEntry

    public AnnotationEntry getAnnotationEntry()